// (c) 1994-2007 Electronic Arts Inc.

#ifndef __IJLGIMEX
#define __IJLGIMEX 1

#include "gimex.h"

#ifdef __cplusplus
extern "C" {
#endif

/****************************************************************/
/*  Intel Jpeg Library Gimex                                    */
/****************************************************************/

/* Information Functions */

GABOUT * GCALL IJL_about(void);
int      GCALL IJL_is(GSTREAM *g);

/* Import Functions */

int      GCALL IJL_open(GINSTANCE **gx, GSTREAM *g, const char *pathname,bool framecountflag);
GINFO *  GCALL IJL_info(GINSTANCE *gx, int framenum);
int      GCALL IJL_read(GINSTANCE *gx, GINFO *ginfo, char *dest, int rowbytes);
int      GCALL IJL_close(GINSTANCE *gx);

/* Export Functions */

int      GCALL IJL_wopen(GINSTANCE **gx, GSTREAM *g, const char *pathname, int numframes);
int      GCALL IJL_write(GINSTANCE *gx, const GINFO *ginfo, char *source, int rowbytes);
int      GCALL IJL_wclose(GINSTANCE *gx);

#ifdef __cplusplus
}
#endif
#endif

